% zadani rozmezi
disp('Zadejte rozmezi pro grafickou analyzu')
vel_rozmezi = input('Velikost napeti U1 pr. [10] = +/-10V: ');

%pocatecni hodnota konecna hodnota U1 vel. vektoru a faze
U1abszac = U1abs - vel_rozmezi;  %pocatecni hodnota U1 pro graf
U1abskon = U1abs + vel_rozmezi;  %konecna hodnota U1 pro graf

%pocet vzorku a delka vzorku
pocvz_vel = (U1abskon - U1abszac)*2;       %pocet vzorku pro abs po 0.5V
delvz_vel = (U1abskon - U1abszac)/pocvz_vel;          %veliksot jednoho vzorku

%vypocty pro velikost vektoru
xx = U1abszac - 2*delvz_vel;
for m = 1:(pocvz_vel+2)
    xx = xx + delvz_vel;
        
    %Vypocet U2 a I1
    I1 = Kall(1,1)*xx;  
    U2 = Kall(2,1)*xx;
    
    %prevod komplexnich cisel na "abs" a uhel
    x1(m) = abs(xx);            %osa x velikost U1
    y1(m) = abs(U2);            %napeti U2 na rele J
    z1(m) = abs(I1)*1000;       %veliksot I1 prevod na mA
end

%nastaveni berev grafu
barva_car_grafy

%vykresleni grafu a jeho parametry
obr = figure('Name','  VOLNY STAV + Zmena napajeni','NumberTitle','off'); %nazev grafu
%graf 1
subplot(2,2,1:2)
plot (x1,y1,barva1,'LineWidth',2)

title('Velikost napeti U2 na prijimacim rele J')
xlabel('U1 [V]')
ylabel('U2 [V]')
axis tight         
box off
grid on

%graf 2
subplot(2,2,3:4)
plot (x1,z1,barva1,'LineWidth',2)               

title('Velikost proudu I1 z napajeni')
xlabel('U1 [V]')
ylabel('I1 [mA]')
axis tight         
box off
grid on

%ulozeni grafu jako obrazek
cd saves
saveas (obr,'VOLNY_STAV_zmena_napajeni_graf','png')  %ulozeni obrazku png
saveas (obr,'VOLNY_STAV_zmena_napajeni_graf','fig')  %ulozeni obrazku fig
save ('VOLNY_STAV_zmena_napajeni_parametry_graf', 'vel_rozmezi', 'U1abs', 'U1angle') 
cd('..')

pause

vol_stav_zmena_napajeni_graf = 1;

%smazani nepotrebnych promenych
clear U1abs vel_rozmezi U1abszac U1abskon pocvz_vel delvz_vel xx 
clear I1 U2 x1 y1 z1 x2 y2 z2 barva1 barva2 obr m